{% extends 'Soutenances/base.html' %}

{% block title %} Liste des enseignants{% endblock %}

{% block contenu %}
    {% if user.groupe == "admin" %}
    <a href="{% url 'Soutenances:enseignant_form' %}">
        <button class="btn btn-primary"><i class="glyphicon glyphicon-plus-sign"></i> Ajouter enseignant </button>
    </a>

    {% for enseignant in enseignants %}
    <ul class="list-group">
      <li class="list-group-item liEtuFirst">
        <img src='/media/{{enseignant.photo}}'>
        <ul class="ulEtudiant">
          <li class="list-group-item"> {{enseignant.prenom}} {{enseignant.nom}}</li>
          <li class="list-group-item"> Détail : {{enseignant.detail}} </li>
        </ul>
      </li>
      <li class="list-group-item boutons">
        <a href="{% url 'Soutenances:enseignant_update' enseignant.pk %}" class="droite"><button class="btn btn-warning"><i class="glyphicon glyphicon-pencil"></i></button></a>
        <a href="{% url 'Soutenances:enseignant_delete' enseignant.pk %}" class="droite"><button class="btn btn-danger"><i class="glyphicon glyphicon-trash"></i></button></a>
    </ul>
    {% endfor %}
    {% else %}
    <div class="alert alert-danger" role="alert">
      Vous <strong>n'avez pas accès</strong> à cette page !
    </div>
    {% endif %}
{% endblock %}
